1. Indicator Data Input
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
        GET
      • Get Data Input
        GET
      • Create Data Input
        POST
      • Update Data Input
        PUT
      • Delete Data Input
        DELETE
      • Create or Update Data Input
        POST
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Indicator Data Input

List Data Input

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/data-input

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/data-input?year_id[0]=11&year_id[1]=12&indicator_id[0]=1473' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": 16217,
            "value": "3332",
            "target": null,
            "target_type": null,
            "meta": [],
            "table_item_id": null,
            "set_id": null,
            "company_id": 156,
            "indicator_id": 1473,
            "unit_id": 4,
            "year_id": 11,
            "status_id": 1,
            "created_by": 17,
            "modified_by": 17,
            "created_at": "2025-03-10T09:02:14.000000Z",
            "updated_at": "2025-03-10T09:02:15.000000Z",
            "not_applicable": false,
            "reference": null,
            "comment": null,
            "reason": null
        },
        {
            "id": 16203,
            "value": "12345",
            "target": null,
            "target_type": null,
            "meta": [],
            "table_item_id": null,
            "set_id": null,
            "company_id": 156,
            "indicator_id": 1473,
            "unit_id": 4,
            "year_id": 12,
            "status_id": 3,
            "created_by": 17,
            "modified_by": 17,
            "created_at": "2025-03-10T08:52:11.000000Z",
            "updated_at": "2025-03-10T09:03:19.000000Z",
            "not_applicable": false,
            "reference": null,
            "comment": null,
            "reason": null
        }
    ],
    "links": {
        "first": "http://127.0.0.1:8002/api/external/corporate/data-input?page=1",
        "last": "http://127.0.0.1:8002/api/external/corporate/data-input?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "&laquo; Previous",
                "active": false
            },
            {
                "url": "http://127.0.0.1:8002/api/external/corporate/data-input?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Next &raquo;",
                "active": false
            }
        ],
        "path": "http://127.0.0.1:8002/api/external/corporate/data-input",
        "per_page": 10,
        "to": 2,
        "total": 2
    }
}
Modified at 2026-03-30 01:19:50
Previous
Show Indicator
Next
Get Data Input
Built with